Gecode::TraceTraits< Set::SetView > Class Reference

Trace traits for set views. More...

`#include <traits.hpp>`

## Public Types

typedef Set::SetTraceView | TraceView
typedef SetTraceDelta | TraceDelta
typedef unsigned long long int | SlackValue

## Detailed Description

Trace traits for set views.

Definition at line 38 of file traits.hpp.

## Member Typedef Documentation

## TraceView

typedef Set::SetTraceView Gecode::TraceTraits< Set::SetView >::TraceView

Definition at line 40 of file traits.hpp.

## TraceDelta

typedef SetTraceDelta Gecode::TraceTraits< Set::SetView >::TraceDelta

Definition at line 41 of file traits.hpp.

## SlackValue

typedef unsigned long long int Gecode::TraceTraits< Set::SetView >::SlackValue

Definition at line 42 of file traits.hpp.

The documentation for this class was generated from the following file:

- gecode/set/trace/traits.hpp